
QGIS Application - Bug report #19749

std::bad_alloc on otf reprojection

2018-09-01 05:45 PM - Johannes Kroeger

Status: Open

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:3.7(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 27574

Description

    -  Load ne_110m_graticules_30.shp or ne_110m_graticules_20.shp (or probably any other global vector dataset)

    -  Set OTF projection to EPSG:3031

    -  Right-click the layer and Zoom to layer

You get an exception "std::bad_alloc"

Afterwards the map canvas stops updating (uses its cache). On setting a different OTF projection, the canvas is blank white. This persists

opening a new project and requires a restart of QGIS.

History

#1 - 2018-09-02 05:21 PM - Giovanni Manghi

- Status changed from Open to Feedback

Can't confirm here on master/kubuntu 18.04

#2 - 2019-02-23 08:37 PM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to no timely feedback

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.

#3 - 2019-02-23 11:38 PM - Johannes Kroeger

- Status changed from Closed to Reopened

- Affected QGIS version changed from 3.3(master) to 3.7(master)

- Resolution deleted (no timely feedback)

- Operating System set to linux

Just reproduced in QGIS version 3.7.0-Master QGIS code revision 2b21a97994

#4 - 2019-02-23 11:40 PM - Johannes Kroeger

- Subject changed from std::bad_alloc on  to std::bad_alloc on otf reprojection
- Operating System deleted (linux)

Just reproduced in QGIS version 3.7.0-Master QGIS code revision 2b21a97994

#5 - 2019-02-23 11:41 PM - Giovanni Manghi

- Status changed from Reopened to Open
